Bug 241042 - [NEW PORT] games/homura: Windows Games Launcher for FreeBSD
Summary: [NEW PORT] games/homura: Windows Games Launcher for FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/the-homura-project...
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2019-10-03 18:20 UTC by Alexander Vereeken
Modified: 2019-12-22 19:55 UTC (History)
6 users (show)

See Also:
Alexander88207: maintainer-feedback+


Attachments
The port in shar format. (2.15 KB, text/plain)
2019-10-03 18:20 UTC, Alexander Vereeken
no flags Details
Homura (2.15 KB, text/plain)
2019-10-03 19:23 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-03 21:22 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-03 21:32 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-03 21:46 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-04 12:16 UTC, Alexander Vereeken
no flags Details
Bump to 2.3 (3.61 KB, text/plain)
2019-10-08 21:10 UTC, Alexander Vereeken
no flags Details
homura (3.62 KB, text/plain)
2019-10-09 09:01 UTC, Alexander Vereeken
no flags Details
homura (2.15 KB, text/plain)
2019-10-09 15:01 UTC, Alexander Vereeken
no flags Details
homura (2.15 KB, text/plain)
2019-10-14 11:12 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-14 12:29 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-26 18:49 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-27 08:40 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-10-27 11:04 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details
homura (2.17 KB, text/plain)
2019-10-31 13:41 UTC, Alexander Vereeken
no flags Details
homura (2.17 KB, text/plain)
2019-10-31 15:02 UTC, Alexander Vereeken
no flags Details
homura (2.17 KB, text/plain)
2019-10-31 15:14 UTC, Alexander Vereeken
no flags Details
homura (2.17 KB, text/plain)
2019-11-01 21:50 UTC, Alexander Vereeken
no flags Details
homure (2.19 KB, patch)
2019-11-05 16:49 UTC, Loïc Bartoletti
no flags Details | Diff
homura, pet portlint and UCL in pkg-message (2.22 KB, application/x-shellscript)
2019-11-05 17:01 UTC, Loïc Bartoletti
no flags Details
homura (2.21 KB, text/plain)
2019-11-06 12:40 UTC, Alexander Vereeken
no flags Details
homura (2.21 KB, text/plain)
2019-11-06 15:46 UTC, Alexander Vereeken
no flags Details
homura (2.22 KB, text/plain)
2019-11-06 21:10 UTC, Alexander Vereeken
no flags Details
homura (2.21 KB, text/plain)
2019-11-12 21:30 UTC, Alexander Vereeken
no flags Details
homura (2.17 KB, text/plain)
2019-11-24 11:49 UTC, Alexander Vereeken
no flags Details
homura (2.24 KB, text/plain)
2019-11-25 15:06 UTC, Alexander Vereeken
no flags Details
homura (2.24 KB, text/plain)
2019-11-25 18:55 UTC, Alexander Vereeken
no flags Details
homura (2.24 KB, text/plain)
2019-11-26 12:30 UTC, Alexander Vereeken
no flags Details
homura (2.24 KB, text/plain)
2019-11-29 09:52 UTC, Alexander Vereeken
no flags Details
homura diff (2.91 KB, patch)
2019-12-02 15:13 UTC, Lewis Cook
no flags Details | Diff
homura (2.15 KB, text/plain)
2019-12-02 16:45 UTC, Alexander Vereeken
no flags Details
Poudriere.log (47.00 KB, text/plain)
2019-12-03 19:12 UTC, Alexander Vereeken
no flags Details
Poudriere.log (39.87 KB, text/plain)
2019-12-03 20:27 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-12-03 20:29 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-12-05 20:19 UTC, Alexander Vereeken
no flags Details
[QA]Poudriere-Homura-3.1.log (77.59 KB, text/plain)
2019-12-07 22:12 UTC, Alexander Vereeken
no flags Details
homura (2.16 KB, text/plain)
2019-12-14 15:33 UTC, Alexander Vereeken
no flags Details
homura (2.18 KB, text/plain)
2019-12-21 11:20 UTC, Alexander Vereeken
no flags Details
[QA]Poudriere-Homura-3.2.log (55.63 KB, text/plain)
2019-12-22 13:57 UTC, Alexander Vereeken
no flags Details
homura (2.18 KB, text/plain)
2019-12-22 15:30 UTC, Alexander Vereeken
no flags Details
homura (2.45 KB, text/plain)
2019-12-22 16:51 UTC, Alexander Vereeken
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2019-10-03 18:20:11 UTC
Created attachment 208070 [details]
The port in shar format.

Inspired by Lutris. Homura is a launcher that makes it easy to run windows games/launcher just with one click on FreeBSD.
The Windows emulation is provided by Wine

WWW: https://github.com/The-Homura-Project/Homura
Comment 1 Alexander Vereeken 2019-10-03 19:23:39 UTC
Created attachment 208072 [details]
Homura

Updated the sums
Comment 2 pete 2019-10-03 20:56:08 UTC
One thing I would like to see before this lands is an update the the #! to not be "#!/bin/bash" as per:
https://github.com/The-Homura-Project/Homura/blob/0ab5033957c9057eff82dad578242936cf689d62/Homura#L1

IIRC there are other examples as well (when i tested this out a week or so ago).

I don't know if that needs to be a PR filed on the github repo or not.  But just want to flag that pretty obvious linux-ism in the scripts.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2019-10-03 21:14:52 UTC
Per our standards the portname should be all lowercase.
Comment 4 Alexander Vereeken 2019-10-03 21:22:24 UTC
Created attachment 208077 [details]
homura

#!/bin/bash was removed and portname is now in all lowercase
Comment 5 Alexander Vereeken 2019-10-03 21:32:46 UTC
Created attachment 208078 [details]
homura

updated sums again.
Comment 6 Alexander Vereeken 2019-10-03 21:46:35 UTC
Created attachment 208079 [details]
homura

changed git acc also to all lowercase then.
Comment 7 Alexander Vereeken 2019-10-04 12:16:02 UTC
Created attachment 208089 [details]
homura

Bump to 2.2.2
Comment 8 Alex S 2019-10-06 09:13:48 UTC
(In reply to Alexander Vereeken from comment #0)

If you are going to add this Ports, please remove any references to Lutris from documentation. Quite a few people seems to think your 500 LOC bash script is a program of comparable complexity to Lutris (which is, like, two orders of magnitude larger, I think). Those are not very smart people to say the least, but it what it is. This script *will* be recommended as alternative to Lutris and it *will* leave people disappointed due to wrong expectations.
Comment 9 Alexander Vereeken 2019-10-06 09:24:19 UTC
(In reply to Alex S from comment #8)

Thanks, that makes sense. Of which documentations exactly?

btw i only wrote that i was inspired by it and not that this should be or is (like) lutris.
Comment 10 Alex S 2019-10-06 09:58:15 UTC
> i only wrote that i was inspired by it and not that this should be or is (like) lutris
Yeah, I get the desire to acknowledge the other project, that's ok and usually is not an issue. It's just that I'm looking at Phoronix article (https://www.phoronix.com/scan.php?page=news_item&px=Homura-FreeBSD-Gaming), which plainly states "Homura is akin to CrossOver or Lutris". A few more iterations of that bullshit and you won't be able to recognize any traces of your original statement.

Even that normally shouldn't be a problem, but considering that it's already hard enough to get anyone to take FreeBSD gaming seriously, I think it makes sense to be more careful with managing expectations.
Comment 11 Alexander Vereeken 2019-10-06 10:29:37 UTC
(In reply to Alex S from comment #10)

Sure, that's wrong and I've tried to stop it before. I have now left a hint in my documentation that Homura is not comparable to lutris or the something bigger similar.
Comment 12 Alexander Vereeken 2019-10-08 21:10:53 UTC
Created attachment 208182 [details]
Bump to 2.3
Comment 13 Alexander Vereeken 2019-10-09 09:01:34 UTC
Created attachment 208193 [details]
homura

Bump to 2.3.1
Comment 14 Alexander Vereeken 2019-10-09 15:01:23 UTC
Created attachment 208205 [details]
homura

Bump to 2.4
Comment 15 Alexander Vereeken 2019-10-14 11:12:45 UTC
Created attachment 208298 [details]
homura

Bump to 2.5
Comment 16 Alexander Vereeken 2019-10-14 12:29:21 UTC
Created attachment 208301 [details]
homura

Bump to 2.5.1
Comment 17 Alexander Vereeken 2019-10-26 18:49:59 UTC
Created attachment 208611 [details]
homura

Bump to 2.6
Comment 18 Alexander Vereeken 2019-10-27 08:40:12 UTC
Created attachment 208627 [details]
homura

Update checksums
Comment 19 Alexander Vereeken 2019-10-27 11:04:17 UTC
Created attachment 208630 [details]
homura

Updated package description.
Comment 20 Alexander Vereeken 2019-10-31 13:41:12 UTC
Created attachment 208734 [details]
homura

Bump to 2.6.1
Comment 21 Alexander Vereeken 2019-10-31 15:02:16 UTC
Created attachment 208738 [details]
homura

Updated checksums
Comment 22 Alexander Vereeken 2019-10-31 15:14:23 UTC
Created attachment 208739 [details]
homura
Comment 23 Alexander Vereeken 2019-11-01 21:50:54 UTC
Created attachment 208777 [details]
homura

Bump to 2.6.2
Comment 24 Loïc Bartoletti freebsd_committer 2019-11-05 16:49:47 UTC
Created attachment 208882 [details]
homure

This is the fixed (pet porlint) port of the last version.
Comment 25 Loïc Bartoletti freebsd_committer 2019-11-05 17:01:59 UTC
Created attachment 208885 [details]
homura, pet portlint and UCL in pkg-message

I updated the port to pet porlint and use UCL in pkg-message.
Comment 26 Alexander Vereeken 2019-11-05 19:43:26 UTC
Comment on attachment 208777 [details]
homura

Thanks.
Comment 27 Alexander Vereeken 2019-11-06 12:40:53 UTC
Created attachment 208910 [details]
homura

Bump to 2.7
Comment 28 Alexander Vereeken 2019-11-06 15:46:06 UTC
Created attachment 208913 [details]
homura

Update distinfo
Comment 29 Alexander Vereeken 2019-11-06 21:10:57 UTC
Created attachment 208924 [details]
homura

Bump to 2.7.1
Comment 30 Alexander Vereeken 2019-11-12 21:30:33 UTC
Created attachment 209114 [details]
homura

Bump to 2.8
Comment 31 Alexander Vereeken 2019-11-24 11:49:16 UTC
Created attachment 209379 [details]
homura

Bump to 2.9
Comment 32 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-25 01:59:58 UTC
@Alexander Please:

- Confirm that this port passes QA (portlint, and poudriere in particular) [1]
- Set ONLY_FOR_ARCHS if this port is only appropriate or only supports a specific set of architectures

[1] https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 33 Alexander Vereeken 2019-11-25 15:06:28 UTC
Created attachment 209412 [details]
homura

Added ONLY_FOR_ARCHS & ONLY_FOR_ARCHS_REASON.

- makefile: Builds without warnings or errors.

- portlint: Without warnings or errors. (looks fine.)

- poudriere: Built all required 246 packages successfully using 8 builders without a single error.
Comment 34 Alexander Vereeken 2019-11-25 18:55:14 UTC
Created attachment 209416 [details]
homura

Bump to 3.0. This does not affect the above mentioned results.
Comment 35 Alexander Vereeken 2019-11-26 12:30:34 UTC
Created attachment 209451 [details]
homura

Updated distinfo because of a hotfix
Comment 36 Alexander Vereeken 2019-11-29 09:52:15 UTC
Created attachment 209525 [details]
homura

Fixed a spelling error in the package description.
Comment 37 Lewis Cook 2019-12-02 15:13:05 UTC
Created attachment 209608 [details]
homura diff

Hi Alex,

I've attached a diff file with a few changes to your original patch. Rather than include a pkg-message that's ran post-installation telling the user wine (32bit) should be installed, we can determine the architecture by including 'bsd.port.pre.mk' and therefore appending the appropriate wine version to the RUN_DEPENDS declarative. There's a few minor tweaks to the Makefile for better clarity, and removed ${LOCALBASE} from the PLIST as it's not strictly needed.
Comment 38 Alexander Vereeken 2019-12-02 16:42:09 UTC
(In reply to Lewis Cook from comment #37)

Thanks Lewis,

i have thought about it, to set Wine as run dependency but i was waiting to see if there are some good 64bit games so that people can change between 32bit and 64bit Wine without uninstallation of Homura. But since this makes more sense at the moment i have nothing against that :)
Comment 39 Alexander Vereeken 2019-12-02 16:45:56 UTC
Created attachment 209613 [details]
homura

Patch from Lewis have been applied and tested.
Comment 40 Alexander Vereeken 2019-12-03 19:12:11 UTC
Created attachment 209666 [details]
Poudriere.log
Comment 41 Alexander Vereeken 2019-12-03 20:27:26 UTC
Created attachment 209668 [details]
Poudriere.log
Comment 42 Alexander Vereeken 2019-12-03 20:29:15 UTC
Created attachment 209670 [details]
homura

Fixed makefile error's
Comment 43 Alexander Vereeken 2019-12-05 20:19:10 UTC
Created attachment 209741 [details]
homura

Bump to 3.1
Comment 44 Alexander Vereeken 2019-12-07 22:12:39 UTC
Created attachment 209779 [details]
[QA]Poudriere-Homura-3.1.log

Rebuild in a clean environment.
Comment 45 Alexander Vereeken 2019-12-14 15:33:20 UTC
Created attachment 209944 [details]
homura

Bump to 3.2
Comment 46 Alexander Vereeken 2019-12-21 11:20:18 UTC
Created attachment 210096 [details]
homura

Changes: Added x11-fonts/noto as dependency for Teamspeak 3 Client
Comment 47 Alexander Vereeken 2019-12-22 13:57:08 UTC
Created attachment 210137 [details]
[QA]Poudriere-Homura-3.2.log
Comment 48 Tobias C. Berner freebsd_committer 2019-12-22 14:17:37 UTC
There's a typo in the pkg-descr: 'requiered'.



mfg Tobias
Comment 49 Alexander Vereeken 2019-12-22 15:30:17 UTC
Created attachment 210143 [details]
homura

Fixed a typo in pkg-descr. Thanks Tobias.
Comment 50 Tobias C. Berner freebsd_committer 2019-12-22 16:18:30 UTC
You probably should also include the fixes suggested by Loïc, the pkg-message sounds necessary to me. 

Mfg Tobias
Comment 51 Alexander Vereeken 2019-12-22 16:51:07 UTC
Created attachment 210147 [details]
homura

Patch from Loïc has now been adopted again. I have changed the pkg-message slightly.
Comment 52 Tobias C. Berner freebsd_committer 2019-12-22 17:33:11 UTC
I don't quite understand yet why you are using wine32 on amd64 -- shouldn't wine64 be able to run the 32bit binaries too? 


mfg Tobias
Comment 53 Alexander Vereeken 2019-12-22 17:41:36 UTC
Yep currently wine64 cant run 32bit binary's.
Comment 54 Alex S 2019-12-22 18:29:47 UTC
(In reply to Tobias C. Berner from comment #52)

> I don't quite understand yet why you are using wine32 on amd64 -- shouldn't wine64 be able to run the 32bit binaries too?

No, of course not — wine loads and runs 32-bit binaries, wine64 loads and runs 64-bit binaries. Proper Wine builds (which we don't have) are supposed to provide both loaders.

For what it's worth, there now exists a (barely several months old) version of CrossOver executing mixed 32/64-bit code in a single process: https://www.winehq.org/pipermail/wine-devel/2019-December/156602.html. I wouldn't expect that capability in upstream Wine in the near future, though.
Comment 55 Tobias C. Berner freebsd_committer 2019-12-22 19:27:32 UTC
(In reply to Alex S from comment #54)
Ah, I see :) -- in that case, time to land this thingy :)
Comment 56 Tobias C. Berner freebsd_committer 2019-12-22 19:54:48 UTC
Committed. Thanks.
Comment 57 commit-hook freebsd_committer 2019-12-22 19:55:01 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec 22 19:54:24 UTC 2019
New revision: 520657
URL: https://svnweb.freebsd.org/changeset/ports/520657

Log:
  New port: games/homura: Windows Games Launcher for FreeBSD

  Inspired by Lutris. Homura is a launcher that makes it easy to run windows
  games/launcher just with one click on FreeBSD.  The Windows emulation is
  provided by Wine

  WWW: https://github.com/The-Homura-Project/Homura

  PR:		241042
  Submitted by:	Alexander Vereeken <Alexander88207@protonmail.com>

Changes:
  head/games/Makefile
  head/games/homura/
  head/games/homura/Makefile
  head/games/homura/distinfo
  head/games/homura/pkg-descr
  head/games/homura/pkg-message